package com.fjhx.iot.service.tda;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.iot.entity.tda.dto.TdaDeviceDto;
import com.fjhx.iot.entity.tda.dto.TdaDeviceSelectDto;
import com.fjhx.iot.entity.tda.po.TdaDevice;
import com.fjhx.iot.entity.tda.vo.TdaDeviceVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 设备管理 服务类
 * </p>
 *
 * @author zlj
 * @since 2023-03-21
 */
public interface TdaDeviceService extends BaseService<TdaDevice> {

    /**
     * 设备管理分页
     */
    Page<TdaDeviceVo> getPage(TdaDeviceSelectDto dto);

    /**
     * 设备管理明细
     */
    TdaDeviceVo detail(Long id);

    /**
     * 设备管理新增
     */
    void add(TdaDeviceDto tdaDeviceDto);

    void edit(TdaDeviceDto tdaDeviceDto);

    /**
     * 设备管理删除
     */
    void delete(Long id);

    /**
     * 获取上位机设备列表
     */
    List<JSONObject> getComputerList(TdaDeviceSelectDto dto);

}
